Loading...
Searching...
No Matches
juce::universal_midi_packets::StaticDeviceInfo Class Reference

## Detailed Description

Static information about a particular MIDI device that can be queried without opening a connection to the device.

This information differs from the detailed information in the Endpoint struct, in that the StaticDeviceInformation is communicated out-of-band, whereas Endpoint information is communicated in-band, i.e. it is sent as MIDI messages after establishing a connection to the device.

The documentation for this class was generated from the following file:

- juce_audio_devices/midi_io/ump/juce_UMPStaticDeviceInfo.h

## Public Member Functions

StaticDeviceInfo | withName (const String &x) const
StaticDeviceInfo | withManufacturer (const String &x) const
StaticDeviceInfo | withProduct (const String &x) const
StaticDeviceInfo | withHasSource (bool x) const
StaticDeviceInfo | withHasDestination (bool x) const
StaticDeviceInfo | withTransport (Transport x) const
StaticDeviceInfo | withLegacyIdentifiersSrc (Span< const String, 16 > x) const
StaticDeviceInfo | withLegacyIdentifiersDst (Span< const String, 16 > x) const
StaticDeviceInfo | withLegacyIdentifiers (IOKind k, Span< const String, 16 > x) const
String | getName () const
String | getManufacturer () const
String | getProduct () const
bool | hasSource () const
bool | hasDestination () const
Transport | getTransport () const
Span< const String, 16 > | getLegacyIdentifiersSrc () const &
| Returns an identifier to uniquely identify each group, for use with the legacy MIDI API.
Span< const String, 16 > | getLegacyIdentifiersDst () const &
| Returns an identifier to uniquely identify each group, for use with the legacy MIDI API.
Span< const String, 16 > | getLegacyIdentifiers (IOKind k) const &
Span< const String, 16 > | getLegacyIdentifiersSrc () const &&=delete
Span< const String, 16 > | getLegacyIdentifiersDst () const &&=delete
Span< const String, 16 > | getLegacyIdentifiers (IOKind) const &&=delete

## Member Functions

## withName()

StaticDeviceInfo juce::universal_midi_packets::StaticDeviceInfo::withName | ( | const String & | x | ) | const

inline nodiscard

References juce::withMember(), and x.

## withManufacturer()

StaticDeviceInfo juce::universal_midi_packets::StaticDeviceInfo::withManufacturer | ( | const String & | x | ) | const

inline nodiscard

References juce::withMember(), and x.

## withProduct()

StaticDeviceInfo juce::universal_midi_packets::StaticDeviceInfo::withProduct | ( | const String & | x | ) | const

inline nodiscard

References juce::withMember(), and x.

## withHasSource()

StaticDeviceInfo juce::universal_midi_packets::StaticDeviceInfo::withHasSource | ( | bool | x | ) | const

inline nodiscard

References juce::withMember(), and x.

## withHasDestination()

StaticDeviceInfo juce::universal_midi_packets::StaticDeviceInfo::withHasDestination | ( | bool | x | ) | const

inline nodiscard

References juce::withMember(), and x.

## withTransport()

StaticDeviceInfo juce::universal_midi_packets::StaticDeviceInfo::withTransport | ( | Transport | x | ) | const

inline nodiscard

References juce::withMember(), and x.

## withLegacyIdentifiersSrc()

StaticDeviceInfo juce::universal_midi_packets::StaticDeviceInfo::withLegacyIdentifiersSrc | ( | Span< const String, 16 > | x | ) | const

inline nodiscard

References x.

Referenced by withLegacyIdentifiers().

## withLegacyIdentifiersDst()

StaticDeviceInfo juce::universal_midi_packets::StaticDeviceInfo::withLegacyIdentifiersDst | ( | Span< const String, 16 > | x | ) | const

inline nodiscard

References x.

Referenced by withLegacyIdentifiers().

## withLegacyIdentifiers()

StaticDeviceInfo juce::universal_midi_packets::StaticDeviceInfo::withLegacyIdentifiers | ( | IOKind | k,
|  | Span< const String, 16 > | x ) const

inline nodiscard

References juce::universal_midi_packets::src, withLegacyIdentifiersDst(), withLegacyIdentifiersSrc(), and x.

## getName()

String juce::universal_midi_packets::StaticDeviceInfo::getName | ( |  | ) | const

inline

## getManufacturer()

String juce::universal_midi_packets::StaticDeviceInfo::getManufacturer | ( |  | ) | const

inline

## getProduct()

String juce::universal_midi_packets::StaticDeviceInfo::getProduct | ( |  | ) | const

inline

## hasSource()

bool juce::universal_midi_packets::StaticDeviceInfo::hasSource | ( |  | ) | const

inline

## hasDestination()

bool juce::universal_midi_packets::StaticDeviceInfo::hasDestination | ( |  | ) | const

inline

## getTransport()

Transport juce::universal_midi_packets::StaticDeviceInfo::getTransport | ( |  | ) | const

inline

## getLegacyIdentifiersSrc() [1/2]

Span< const String, 16 > juce::universal_midi_packets::StaticDeviceInfo::getLegacyIdentifiersSrc | ( |  | ) | const &

inline

Returns an identifier to uniquely identify each group, for use with the legacy MIDI API.

Referenced by getLegacyIdentifiers().

## getLegacyIdentifiersDst() [1/2]

Span< const String, 16 > juce::universal_midi_packets::StaticDeviceInfo::getLegacyIdentifiersDst | ( |  | ) | const &

inline

Returns an identifier to uniquely identify each group, for use with the legacy MIDI API.

Referenced by getLegacyIdentifiers(), and getLegacyIdentifiersDst().

## getLegacyIdentifiers() [1/2]

Span< const String, 16 > juce::universal_midi_packets::StaticDeviceInfo::getLegacyIdentifiers | ( | IOKind | k | ) | const &

inline

References getLegacyIdentifiersDst(), getLegacyIdentifiersSrc(), and juce::universal_midi_packets::src.

Referenced by getLegacyIdentifiers().

## getLegacyIdentifiersSrc() [2/2]

Span< const String, 16 > juce::universal_midi_packets::StaticDeviceInfo::getLegacyIdentifiersSrc | ( |  | ) | const &&

delete

## getLegacyIdentifiersDst() [2/2]

Span< const String, 16 > juce::universal_midi_packets::StaticDeviceInfo::getLegacyIdentifiersDst | ( |  | ) | const &&

delete

References getLegacyIdentifiersDst().

## getLegacyIdentifiers() [2/2]

Span< const String, 16 > juce::universal_midi_packets::StaticDeviceInfo::getLegacyIdentifiers | ( | IOKind |  | ) | const &&

delete

References getLegacyIdentifiers().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited